"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const NodeSelector_1 = require("./NodeSelector");
require("./tsjt_base.css");
;
;
exports.JsonTreeCtx = React.createContext(null);
class JsonTree extends React.Component {
    render() {
        const props = { ...this.props, value: this.props.data };
        return (React.createElement(exports.JsonTreeCtx.Provider, { value: {
                expandedItems: this.props.expandedItems,
                highlightedItems: this.props.highlightedItems,
                linkLocation: this.props.linkLocation
            } },
            React.createElement("div", { className: "tsjt_base" },
                React.createElement(NodeSelector_1.NodeSelector, Object.assign({}, props)))));
    }
}
exports.JsonTree = JsonTree;
exports.default = JsonTree;
